glibmm 2.86.0

Public Types | Static Public Member Functions | List of all members
Glib::ArrayHandler< bool > Class Reference

`#include <glibmm/vectorutils.h>`

## Public Types
using | CType = gboolean
using | CppType = bool
using | VectorType = std::vector<bool>
typedef Glib::Container_Helpers::ArrayKeeper< Glib::Container_Helpers::TypeTraits< bool > > | ArrayKeeperType
typedef Glib::Container_Helpers::ArrayIterator< Glib::Container_Helpers::TypeTraits< bool > > | ArrayIteratorType

## Static Public Member Functions
static VectorType | array_to_vector (const CType * array, std::size_t array_size, Glib::OwnershipType ownership)
static VectorType | array_to_vector (const CType * array, Glib::OwnershipType ownership)
static ArrayKeeperType | vector_to_array (const VectorType & vector)

## Member Typedef Documentation

## ◆ ArrayIteratorType

typedef Glib::Container_Helpers::ArrayIterator<Glib::Container_Helpers::TypeTraits<bool> > Glib::ArrayHandler< bool >::ArrayIteratorType

## ◆ ArrayKeeperType

typedef Glib::Container_Helpers::ArrayKeeper<Glib::Container_Helpers::TypeTraits<bool> > Glib::ArrayHandler< bool >::ArrayKeeperType

## ◆ CppType

using Glib::ArrayHandler< bool >::CppType = bool

## ◆ CType

using Glib::ArrayHandler< bool >::CType = gboolean

## ◆ VectorType

using Glib::ArrayHandler< bool >::VectorType = std::vector<bool>

## Member Function Documentation

## ◆ array_to_vector() [1/2]

VectorType Glib::ArrayHandler< bool >::array_to_vector | ( | const CType * | array,
|  | Glib::OwnershipType | ownership )
| static

## ◆ array_to_vector() [2/2]

VectorType Glib::ArrayHandler< bool >::array_to_vector | ( | const CType * | array,
|  | std::size_t | array_size,
|  | Glib::OwnershipType | ownership )
| static

## ◆ vector_to_array()

ArrayKeeperType Glib::ArrayHandler< bool >::vector_to_array | ( | const VectorType & | vector | ) |
| static